Package org.apache.wiki.htmltowiki.syntax

## Class PlainTextCssDecorator

- java.lang.Object
- - org.apache.wiki.htmltowiki.syntax.PlainTextCssDecorator

    public abstract class PlainTextCssDecorator
    extends java.lang.Object

Translates to wiki syntax from a plain text handling css classes.

### Field Summary

Fields
`protected XHtmlElementToWikiTranslator` `chain`
`protected java.io.PrintWriter` `out`
`protected PlainTextBoldDecorator` `ptbd`

### Constructor Summary

Constructors
`protected` `PlainTextCssDecorator​(PlainTextBoldDecorator ptbd, java.io.PrintWriter out, XHtmlElementToWikiTranslator chain)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `decorate​(XHtmlElementToWikiTranslator.ElementDecoratorData dto)` Translates the given XHTML element into wiki markup.
`protected abstract java.lang.String` `markupCssDivClose​(java.lang.String cssClass)` Closing wiki markup for a css element.
`protected abstract java.lang.String` `markupCssDivOpen​(java.lang.String cssClass)` Opening wiki markup for a css element.
`protected abstract java.lang.String` `markupCssSpanClose​(java.lang.String cssClass)` Closing wiki markup for a css element.
`protected abstract java.lang.String` `markupCssSpanOpen​(java.lang.String cssClass)` Opening wiki markup for a css element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### out

    protected final java.io.PrintWriter out

#### chain

    protected final XHtmlElementToWikiTranslator chain

#### ptbd

    protected final PlainTextBoldDecorator ptbd

### Constructor Detail

#### PlainTextCssDecorator

    protected PlainTextCssDecorator​(PlainTextBoldDecorator ptbd,
                                    java.io.PrintWriter out,
                                    XHtmlElementToWikiTranslator chain)

### Method Detail

#### decorate

    public void decorate​(XHtmlElementToWikiTranslator.ElementDecoratorData dto)
                  throws org.jdom2.JDOMException

Translates the given XHTML element into wiki markup.

Parameters:
  `dto` - XHTML element being translated.
Throws:
  `org.jdom2.JDOMException`

#### markupCssDivOpen

    protected abstract java.lang.String markupCssDivOpen​(java.lang.String cssClass)

Opening wiki markup for a css element.

Returns:
  Opening wiki markup for a css element.

#### markupCssDivClose

    protected abstract java.lang.String markupCssDivClose​(java.lang.String cssClass)

Closing wiki markup for a css element.

Returns:
  Closing wiki markup for a css element.

#### markupCssSpanOpen

    protected abstract java.lang.String markupCssSpanOpen​(java.lang.String cssClass)

Opening wiki markup for a css element.

Returns:
  Opening wiki markup for a css element.

#### markupCssSpanClose

    protected abstract java.lang.String markupCssSpanClose​(java.lang.String cssClass)

Closing wiki markup for a css element.

Returns:
  Closing wiki markup for a css element.